Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.api
Interface TaskQueryService

All Known Implementing Classes:
  TaskQueryServiceImpl

    public interface TaskQueryService

The Task Query Service will contain all the methods to get information about the current Task Instances. Most of the times these methods will be used to build User Interfaces, and we should not include any method related with Task Statistics here.

Method Summary
`int` | `getPendingSubTasksByParent(long parentId)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`Task` | `getTaskInstanceById(long taskId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResults)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroup(String groupId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroups(List<String> groupsId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDate(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwned(String userId)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<Status> status, Date expirationDate)`

Method Detail

### getTasksAssignedAsBusinessAdministrator

    List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                              String language)

### getTasksAssignedAsExcludedOwner

    List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                      String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       List<String> groupIds,
                                                       String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       List<String> groupIds,
                                                       String language,
                                                       int firstResult,
                                                       int maxResults)

### getTasksAssignedAsPotentialOwnerByStatus

    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                               List<Status> status,
                                                               String language)

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                      List<String> groupIds,
                                                                      List<Status> status,
                                                                      String language)

### getTasksAssignedAsRecipient

    List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                  String language)

### getTasksAssignedAsTaskInitiator

    List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                      String language)

### getTasksAssignedAsTaskStakeholder

    List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                        String language)

### getTasksAssignedByGroup

    List<TaskSummary> getTasksAssignedByGroup(String groupId,
                                              String language)

### getTasksAssignedByGroups

    List<TaskSummary> getTasksAssignedByGroups(List<String> groupsId,
                                               String language)

### getTasksAssignedByGroupsByExpirationDate

    List<TaskSummary> getTasksAssignedByGroupsByExpirationDate(List<String> groupIds,
                                                               String language,
                                                               Date expirationDate)

### getTasksAssignedByGroupsByExpirationDateOptional

    List<TaskSummary> getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds,
                                                                       String language,
                                                                       Date expirationDate)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId,
                                    List<Status> status,
                                    String language)

### getTasksOwnedByExpirationDate

    List<TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                    List<Status> status,
                                                    Date expirationDate)

### getTasksOwnedByExpirationDateOptional

    List<TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                            List<Status> status,
                                                            Date expirationDate)

### getSubTasksAssignedAsPotentialOwner

    List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                          String userId,
                                                          String language)

### getSubTasksByParent

    List<TaskSummary> getSubTasksByParent(long parentId)

### getPendingSubTasksByParent

    int getPendingSubTasksByParent(long parentId)

### getTaskByWorkItemId

    Task getTaskByWorkItemId(long workItemId)

### getTaskInstanceById

    Task getTaskInstanceById(long taskId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.